{
    template:'${tmpl}',
    data:function(){
      return {
        detaildata:"",
        nclexist:[],
        nclnotexist:[],
        tmstatus:1,
        showMask:false,
        companyInfo:{},
        sbmc: "",
        linkurl: "",
      };
    },
    created: function() {
      $("#byctitle").text("标眼查-商标详情");
      /*页面加载时使用*/
  },
    methods:{
        /*商标详情弹出框*/
        mask(name){
            this.showMask=!this.showMask;
                var obj = {
                    company_name:name
                };
                var that=this;
                const loading = this.$loading({
                         lock: true,
                         text: 'Loading',
                         spinner: 'el-icon-loading',
                         background: 'rgba(0, 0, 0, 0.7)'
                       });
                that.$root.postReq("/web/bytmmonitCtl/getCompanyInfo", obj).then(function (d) {
                    loading.close();
                    console.log("req......................>>>>>>>>>>>>>>>>>>>>");
                    console.log(d);
                    if(d.code==1){
                        that.companyInfo=d.data;
                        that.companyInfo.showName=name;
                    }
                }).catch(function (e) {
                });

        },
        noticezcggClick(row)
        {
            console.log("--------------------------");
            console.log(row);
            var obj = {
                sbzch: row.sbzch,
                zcggqh: row.zcgg
            };
            var that = this;
            this.$root.postReq("/web/bytmqueryCtl/noticezcggsearch", obj).then(function (d) {
                if (d.status == 0) {
                    console.log(d);
                    that.sbmc = d.data.sbmc;
                    that.linkurl = d.data.linkurl;
                    console.log(that.sbmc);
                    if (that.sbmc != "" && that.linkurl != "") {
                        var localurl = location.href;
                        console.log(localurl);
                        var base = localurl.split("b#");
                        var url = base[0] + "b#/bycnoticedetailtm?name=" + that.sbmc + "&imgurl=" + that.linkurl;
                        console.log(base);
                        console.log(url);
                        window.open(url);
                    }else{
                        that.$message.warning(`暂无数据`);
                    }
                }
            });
        },
        noticecsggClick(row)
        {
            console.log("--------------------------");
            console.log(row);
            var obj = {
                sbzch: row.sbzch,
                csggqh: row.csgg
            };
            var that = this;
            this.$root.postReq("/web/bytmqueryCtl/noticesearch", obj).then(function (d) {
                if (d.status == 0) {
                    console.log(d);
                    that.sbmc = d.data.sbmc;
                    that.linkurl = d.data.linkurl;
                    console.log(that.sbmc);
                    if (that.sbmc != "" && that.linkurl != "") {
                        var localurl = location.href;
                        console.log(localurl);
                        var base = localurl.split("b#");
                        var url = base[0] + "b#/bycnoticedetailtm?name=" + that.sbmc + "&imgurl=" + that.linkurl;
                        console.log(base);
                        console.log(url);
                        window.open(url);
                    }else{
                        that.$message.warning(`暂无数据`);
                    }
                }
            });
        }
    },
    mounted:function(){
      console.log("+++++++++++++++++zyf++++++++++++++++++++++++++++++++++++");
      var url = location.href;
      console.log(url);
      console.log(this.$router.history.current.query);
      console.log(this.$router.history.current.query.gjfl);
      console.log(this.$router.history.current.query.sbzch);
      var sbzch=this.$router.history.current.query.sbzch;
      var gjfl=this.$router.history.current.query.gjfl;
      var obj={
        sbzch:sbzch,
        gjfl:gjfl
      };
      var that=this;
      const loading = this.$loading({
        lock: true,
        text: 'Loading',
        spinner: 'el-icon-loading',
        background: 'rgba(0, 0, 0, 0.7)'
      });
      this.$root.postReq("/web/bytmqueryCtl/tradeMarkDetail",obj).then(function(d){
        loading.close();
        console.log(d);
        if(d.data.detaildata[0]){
          if(d.data.detaildata[0].sbzt=="申请中"){
            that.tmstatus=2;
          }
          else if (d.data.detaildata[0].sbzt=="已初审") {
            that.tmstatus=3;
          }
          else if (d.data.detaildata[0].sbzt=="已注册") {
            that.tmstatus=4;
          }
          else if (d.data.detaildata[0].sbzt=="已无效") {
            that.tmstatus=5;
          }
        }
        that.detaildata=d.data.detaildata[0];
        that.nclexist=d.data.nclexist;
        that.nclnotexist=d.data.nclnotexist;
        console.log(that.detaildata);
      }).catch(function(e){
        that.$message.warning(`操作失败，请刷新页面后重新操作`);
      });

    },
    vname:"gsb-bycdetailtm"
}
